Bug 826746 - Undefined non-weak symbols
Undefined non-weak symbols
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp (Show other bugs)
6.3
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Jan Safranek
BaseOS QE Security Team
:
: 916641 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 17:38 EDT by David Kovalsky
Modified: 2014-03-31 19:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-31 09:19:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 432333 None None None Never

  None (edit)
Description David Kovalsky 2012-05-30 17:38:14 EDT
Prelink -avMr shows:

Prelinking /usr/lib64/libnetsnmpagent.so.20.0.0
prelink: Warning: /usr/lib64/libnetsnmpagent.so.20 has undefined non-weak symbols

net-snmp-libs-5.5-41.el6.x86_64
Comment 1 Jan Safranek 2012-05-31 08:48:14 EDT
$ ldd -r /usr/lib64/libnetsnmpagent.so.20.0.0
        linux-vdso.so.1 =>  (0x00007fffed36b000)
        libnetsnmp.so.20 => /usr/lib64/libnetsnmp.so.20 (0x00007fe3d800a000)
        libcrypto.so.10 => /usr/lib64/libcrypto.so.10 (0x00007fe3d7c6f000)
        libwrap.so.0 => /lib64/libwrap.so.0 (0x00007fe3d7a64000)
        libperl.so => /usr/lib64/perl5/CORE/libperl.so (0x00007fe3d76f9000)
        libresolv.so.2 => /lib64/libresolv.so.2 (0x00007fe3d74de000)
        libnsl.so.1 => /lib64/libnsl.so.1 (0x00007fe3d72c5000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007fe3d70c1000)
        libm.so.6 => /lib64/libm.so.6 (0x00007fe3d6e3c000)
        libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00007fe3d6c05000)
        libutil.so.1 => /lib64/libutil.so.1 (0x00007fe3d6a02000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fe3d67e4000)
        libc.so.6 => /lib64/libc.so.6 (0x00007fe3d6452000)
        libz.so.1 => /lib64/libz.so.1 (0x00007fe3d623c000)
        /lib64/ld-linux-x86-64.so.2 (0x00007fe3d8539000)
        libfreebl3.so => /lib64/libfreebl3.so (0x00007fe3d5fd9000)
undefined symbol: netsnmp_register_null_context (/usr/lib64/libnetsnmpagent.so.20.0.0)
undefined symbol: netsnmp_register_null (/usr/lib64/libnetsnmpagent.so.20.0.0)
undefined symbol: netsnmp_get_bulk_to_next_handler      (/usr/lib64/libnetsnmpagent.so.20.0.0)
undefined symbol: netsnmp_register_old_api      (/usr/lib64/libnetsnmpagent.so.20.0.0)
undefined symbol: netsnmp_bulk_to_next_fix_requests     (/usr/lib64/libnetsnmpagent.so.20.0.0)
undefined symbol: netsnmp_init_helpers  (/usr/lib64/libnetsnmpagent.so.20.0.0)
Comment 2 Jan Safranek 2012-05-31 09:19:20 EDT
This is kind of tricky... libnetsnmpagent and libnetsnmphelpers are circularly dependent. To break the chain, libnetsnmpagent does not link to libnetsnmphelpers.

In later versions (net-snmp-5.6), these two libraries are merged. I don't want to fix this in rhel6 due to API/ABI compatibility.
Comment 3 Jan Safranek 2013-04-22 11:07:27 EDT
*** Bug 916641 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.